﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Runtime.Intrinsics.X86;
using System.Security.Principal;
using System.Text;
using System.Xml.Linq;

namespace srkv
{
    internal class Program
    {
        static List<int> ListOfNumbers = new List<int>();
        static void Main(string[] args)
        {
            CreateList();
            OutputList();
            CalculationAverage();
        }
        static public void CreateList()
        {
            try
            {
                Console.WriteLine("Введите размерность массива");
                int amountElements = Convert.ToInt32(Console.ReadLine());
                Random r = new Random();
                for (int i = 0; i < amountElements; i++)
                {
                    ListOfNumbers.Add(r.Next(1, 101));
                }
            }
            catch (Exception ex)
            {
                if (ex is IndexOutOfRangeException)
                {
                    Console.WriteLine("Вы ввели некорректное значение количетсва элементов, оно не должно быть меньше нуля");
                }
                if (ex is InvalidCastException)
                {
                    Console.WriteLine("Вы ввели некорректное значение количетсва элементов, оно должно быть целым числом");
                }
            }
        }
        static public void OutputList()
        {
            foreach (int i in ListOfNumbers)
            {
                Console.Write($"{i} ");
            }
        }
        static public void CalculationAverage()
        {
            int amountElements = 0;
            double sum = 0;
            foreach (int i in ListOfNumbers)
            {
                amountElements++;
                double el = Math.Pow(i, 2);
                sum += el;
            }
            Console.WriteLine("\nСреднеквадратическое значение массива = " + Math.Sqrt((double)sum / amountElements));
        }
    }
}